import {Engine, Scene, Texture} from "@babylonjs/core";

export function initScene(element) {
    const engine = new Engine(element);
    const scene = new Scene(engine);

    const texture = new Texture(
        './2d_etc1s.ktx2',
        scene,
        false,
        true,
        Texture.TRILINEAR_SAMPLINGMODE,
        () => {
            console.log(texture)
        },
        (message, exception) => {
            console.error(
                "Can't fetch texture",
                message,
                exception
            );
        }
    );
}
