const noncePlugin = () => ({
    name: 'html-inject-nonce-attribute',
    transformIndexHtml(html) {
        const regex = /<(link|style|script)/gi;
        const replacement = '<$1 nonce="**CSP_NONCE**"';

        return html.replace(regex, replacement);
    },
    enforce: 'post',
    apply: 'build',
});
export default noncePlugin;